<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE topic PUBLIC "-//OASIS//DTD DITA Topic//EN" "topic.dtd">
<topic id="webapp-admin-page">
  <title>Administration Page</title>
  <prolog>
    <metadata>
      <keywords>
        <indexterm>Administration page in Web Author</indexterm>
      </keywords>
    </metadata>
  </prolog>
  <body>
    <p id="p_l5q_dgk_54b"><ph keyref="webappProduct"/> includes a user-friendly <uicontrol>Administration
        Page</uicontrol> that helps you to configure your instance of <ph keyref="webappProduct"/>.
      You can use this page to configure a variety of settings. </p>
    <section id="enabling_the_administration_page">
      <title>Administration Page Credentials</title>
      <p id="p_m5q_dgk_54b">If you used the <xref href="https://www.oxygenxml.com/webauthor/#download" format="html"
          scope="external"><uicontrol>Linux</uicontrol>, <uicontrol>Windows</uicontrol>, or
            <uicontrol>All Platforms</uicontrol> installation kits</xref>, the administration
        credentials are the ones configured during the initial setup.</p>
      <p id="p_n5q_dgk_54b">If you used the <uicontrol>Web Application Archive</uicontrol> version, you need to
        configure the <uicontrol>Administration Page</uicontrol> credentials.<ol id="ol_o5q_dgk_54b">
          <li id="li_p5q_dgk_54b">In a browser, open the <xref
              href="webapp-create-open-docs.dita#webapp-create-open-docs" product="webauthor"
                ><uicontrol>Dashboard</uicontrol></xref><xref
              href="https://www.oxygenxml.com/doc/ug-webauthor/topics/webapp-create-open-docs.html"
              format="html" scope="external" product="waCustom"
              ><uicontrol>Dashboard</uicontrol></xref> page. You will be redirected to an admin
            credentials configuration page</li>
          <li id="li_q5q_dgk_54b">Enter the credentials that will be used to access the <uicontrol>Administration
              Page</uicontrol></li>
        </ol></p>
      <p id="p_r5q_dgk_54b">
        <note id="note_s5q_dgk_54b">The credentials are stored in the <filepath>shiro-users.ini</filepath> file located in
          the <xref href="wa-oxygen-data-dir.dita"><i>Oxygen Data Directory</i></xref>. The password
          is stored encrypted. For information about resetting the admin credentials, see <xref
            href="wa-reset-admin-credentials.dita#wa-reset-admin-credentials"/>.</note>
      </p>
    </section>
    <section id="accessing_the_administration_page">
      <title>Accessing the Administration Page</title>
      <p id="p_t5q_dgk_54b">To access the <uicontrol>Administration Page</uicontrol>, go to the following URL:
        <codeblock  id="codeblock_u5q_dgk_54b">http://example.com:8080/oxygen-xml-web-author/app/admin.html</codeblock></p>
      <p id="p_v5q_dgk_54b">You can also access it from a link on the <xref
          href="webapp-create-open-docs.dita#webapp-create-open-docs" product="webauthor"
            ><uicontrol>Dashboard</uicontrol></xref><xref
          href="https://www.oxygenxml.com/doc/ug-webauthor/topics/webapp-create-open-docs.html"
          format="html" scope="external" product="waCustom"><uicontrol>Dashboard</uicontrol></xref>
        page, but this method is mainly intended for the initial setup.</p>
      <p id="p_w5q_dgk_54b">
        <fig id="fig_x5q_dgk_54b">
          <title>Administration Page Link</title>
          <image href="../img/admin_page_link.png"/>
        </fig>
      </p>
    </section>
    <section id="how_to_hide_the_administration_page_link">
      <title>How to Hide the Administration Page Link</title>
      <p id="p_y5q_dgk_54b">You can hide the <uicontrol>Administration Page</uicontrol> link from regular users by
        deselecting the <uicontrol>Show a link to the Administration Page</uicontrol> option that is
        available in the <uicontrol>Settings</uicontrol> section of the <uicontrol>Administration
          Page</uicontrol>.</p>
    </section>
    <section id="types_of_settings_in_the_administration_page">
      <title>Administration Page Settings</title>
      <p id="p_z5q_dgk_54b">You can click on any of the listed types of settings to access configurable options for
        each type. The <uicontrol>Administration Page</uicontrol> allows you to configure or view
        the following settings in the various links:<dl id="dl_avq_dgk_54b">
          <dlentry id="dlentry_bvq_dgk_54b">
            <dt><uicontrol id="general-tab">General</uicontrol></dt>
            <dd>
              <p id="p_cvq_dgk_54b">
                <dl id="dl_dvq_dgk_54b">
                  <dlentry id="dlentry_evq_dgk_54b">
                    <dt><uicontrol id="change-track-initial-state">Change tracking initial
                        state</uicontrol></dt>
                    <dd>Allows you the choose the initial state of the <xref
                        keyref="glossentry_track-changes"><i>Change Tracking</i> feature</xref>. You
                      can choose between <uicontrol>Stored in document</uicontrol>,
                        <uicontrol>Always On</uicontrol>, and <uicontrol>Always
                      Off</uicontrol>.</dd>
                  </dlentry>
                  <dlentry id="dlentry_fvq_dgk_54b">
                    <dt><uicontrol id="show-cc-on-enter">Show content completion list when pressing
                        Enter</uicontrol></dt>
                    <dd>This option is selected by default, which means that when a user presses the
                          <uicontrol><shortcut>Enter</shortcut></uicontrol> key, the content
                      completion popup window will be opened. If this option is not selected, the
                          <uicontrol><shortcut>Enter</shortcut></uicontrol> key will work similar to
                      the behavior in normal word processors, but the user will still have the
                      ability to open the content completion list by pressing
                          <uicontrol><shortcut>CTRL+Enter</shortcut></uicontrol>.</dd>
                  </dlentry>
                  <dlentry id="dlentry_gvq_dgk_54b">
                    <dt><uicontrol>Show all possible elements in content completion
                      list</uicontrol></dt>
                    <dd>When selected, the <xref keyref="glossentry_content-completion-assistant"
                          ><term>Content Completion Assistant</term></xref> includes all possible
                      elements, including those that are invalid at the current location, but those
                      proposals are rendered in a lighter shade of gray, italicized, and appear
                      after the valid proposals.</dd>
                  </dlentry>
                  <dlentry id="change-editors-without-reload">
                    <dt><uicontrol>Change editors without page reload</uicontrol></dt>
                    <dd>When enabled, documents can be loaded in the main editing area without
                      refreshing the entire web page. If you have customized Web Author through
                      plugins, there might be instances where a custom behavior does not work as
                      intended without refreshing the page, so disabling this option provides a
                      possible temporary solution until the plugin is updated to account for the
                      changes added to Web Author functionality. <ph product="waCustom">For more
                        information about this, along with some best practice advice for plugin
                        developers, see <xref href="wa-plugin-best-practices.dita"/>.</ph><ph
                        product="webauthor">For more information about this, along with some best
                        practice advice, plugin developers should see <xref
                          href="https://www.oxygenxml.com/doc/ug-waCustom/topics/wa-plugin-best-practices.html"
                          format="html" scope="external">Best Practices for Plugin
                        Developers</xref>.</ph></dd>
                  </dlentry>
                  <dlentry id="logging">
                    <dt><uicontrol>Logging</uicontrol></dt>
                    <dd>This section displays the location of the <b>Log file</b> or <b>Config
                        file</b> that <ph keyref="webappProduct"/> uses for logging purposes.</dd>
                  </dlentry>
                  <dlentry id="dlentry_hvq_dgk_54b">
                    <dt><uicontrol>Options</uicontrol></dt>
                    <dd>This section displays the location of the <b>Options file</b> that <ph
                        keyref="webappProduct"/> uses for various default settings.</dd>
                  </dlentry>
                </dl>
              </p>
            </dd>
          </dlentry>
          <dlentry id="dlentry_ivq_dgk_54b">
            <dt><uicontrol>License</uicontrol></dt>
            <dd>Displays licensing information and allows you to <xref
                href="webapp-configure-license-server.dita#webapp-configure-license-server"
                >configure a license server connection</xref>. You can also configure a backup
              license server. To make changes to the main or backup license server configuration,
              click the <uicontrol>Configure</uicontrol> button and enter the new server information
                (<uicontrol>URL</uicontrol>, <uicontrol>User</uicontrol>,
                <uicontrol>Password</uicontrol>) on the subsequent page.</dd>
          </dlentry>
          <dlentry id="dlentry_jvq_dgk_54b">
            <dt><uicontrol>Plugins</uicontrol></dt>
            <dd>Displays the various <xref keyref="glossentry_plugin"><term>plugins</term></xref>
              for your <ph keyref="webappProduct"/> and allows you to <xref
                href="webapp-configure-plugins.dita#webapp-configure-plugins">add and configure
                them</xref>. It also includes an <uicontrol>Upload plugin</uicontrol> button for
              adding new ones to the list. You can also click the <uicontrol>Discover More
                Plugins</uicontrol> link to open a webpage with a list of supported plugins.</dd>
          </dlentry>
          <dlentry id="dlentry_kvq_dgk_54b">
            <dt><uicontrol>Frameworks</uicontrol></dt>
            <dd>Displays the various <xref keyref="glossentry_framework"
                ><term>frameworks</term></xref> for your <ph keyref="webappProduct"/> and allows you
              to <xref href="webapp-add-framework.dita#webapp-add-framework">add and configure
                them</xref>. It also includes an <uicontrol>Upload framework</uicontrol> button for
              adding new ones to the list.</dd>
          </dlentry>
          <dlentry id="dlentry_lvq_dgk_54b">
            <dt><uicontrol>Connection</uicontrol></dt>
            <dd>Allows you to <xref href="webapp-proxy-settings.dita#webapp-proxy-settings"
                >configure the proxy settings</xref> for <ph keyref="webappProduct"/>.</dd>
          </dlentry>
          <dlentry id="dlentry_mvq_dgk_54b">
            <dt><uicontrol>Security</uicontrol></dt>
            <dd>
              <p id="p_nvq_dgk_54b">Provides options for handling security-related features:</p>
              <p id="p_ovq_dgk_54b">
                <dl id="dl_pvq_dgk_54b">
                  <dlentry id="accept-security-certificate">
                    <dt><uicontrol>Automatically accept security certificates, even if
                        invalid</uicontrol></dt>
                    <dd>If enabled, security certificates are automatically accepted, regardless of
                      their validity.</dd>
                  </dlentry>
                  <dlentry id="trusted-code">
                    <dt><uicontrol>Trusted Code</uicontrol></dt>
                    <dd>By default, Web Author does not load code (such as CSS or Schematron)
                      referenced directly in documents unless it comes from the framework (document
                      type association) or a plugin. However, you can specify code locations to be
                      considered trusted by adding them (one per line) in the text area in this
                      option. For more details, see <xref
                        href="webauthor-security-configuration.dita"/>.</dd>
                  </dlentry>
                  <dlentry id="dlentry_qvq_dgk_54b">
                    <dt><b>Firewall</b></dt>
                    <dd>
                      <p id="p_rvq_dgk_54b">
                        <dl id="dl_svq_dgk_54b">
                          <dlentry id="dlentry_tvq_dgk_54b">
                            <dt>Allow All Connections</dt>
                            <dd>If selected, Web Author will allow connections to all hosts. You can
                              select the <uicontrol>Log each connection</uicontrol> option to
                              instruct Web Author to add information about each connection in the
                                <xref href="#webapp-admin-page/logging" format="dita">log
                                file</xref>. If the logging is enabled, after a period of time, you
                              can analyze the <xref href="#webapp-admin-page/logging" format="dita"
                                >log file</xref>, compile a list of trusted hosts, and then limit
                              the Web Author's connectivity to only the ones that you consider
                              trusted.</dd>
                          </dlentry>
                          <dlentry id="only-allow-connections">
                            <dt>Only allow connections to these trusted hosts</dt>
                            <dd>If selected, only connections to trusted hosts will be allowed. You
                              can specify hosts to be considered trusted by adding them (one per
                              line) in the text area in this option. For more details, see <xref
                                href="webauthor-security-configuration.dita"/>.</dd>
                          </dlentry>
                        </dl>
                      </p>
                    </dd>
                  </dlentry>
                </dl>
              </p>
            </dd>
          </dlentry>
        </dl></p>
    </section>
  </body>
</topic>
